function [ Psi_HOA ] = radial_filter( Psi, filter )
%FILTER_RAD_HOA Summary of this function goes here
%   Detailed explanation goes here
N = sqrt(size(Psi,1))-1;

Psi_HOA  = zeros(size(Psi));
for n = 0 : N
    for m = -n:n
                Psi_HOA(n^2+n+m+1,:) = conv( Psi(n^2+n+m+1,:), filter(n+1,:),'same');
      %  Psi_HOA(n^2+n+m+1,:) = filtfilt( filter(n+1,:),1,Psi(n^2+n+m+1,:));    
    end
end

end

